# [detection_performance_loss_test.py](detection_performance_loss_test.py) 脚本所需依赖安装
## 方法 1：直接通过 pip 安装（推荐）
如果你使用的是标准 Python 环境，可以直接通过 pip 安装：
```shell
pip install pycocotools
```
对于 Windows 用户，需要安装预编译的 pycocotools 版本：
```shell
pip install pycocotools-windows
```

## 方法 2：从源代码安装
某些环境可能会遇到 pip 安装问题，可以从源码安装：<br/>

1. 克隆 COCO API 仓库
```shell
git clone https://github.com/cocodataset/cocoapi.git
```

2. 进入 Python API 文件夹
```
cd cocoapi/PythonAPI
```

3. 编译和安装
```
pip install cython
pip install -e .
```

## 方法 3：解决安装时的常见问题
### 问题 1：gcc 缺失或编译错误
在 Linux 系统中，安装 build-essential：

```shell
sudo apt-get install -y build-essential
```

### 问题 2：Windows 下无法直接编译
使用预编译版本：

```shell
pip install pycocotools-windows
```

### 问题 3：版本冲突
确保 pip 和 setuptools 是最新版本：

```shell
pip install --upgrade pip setuptools
```

验证安装
安装完成后，运行以下代码验证：

```python
from pycocotools.coco import COCO
print("pycocotools installed successfully!")
```
如果没有报错，则表示安装成功。